summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-04-11 14:22:27 -0400
committerTim Rozet <trozet@redhat.com>2016-04-12 14:31:50 -0400
commit0717bc3c56ab294f860ef99116754c1fd786cae7 (patch)
treedb98b4d669dab185fc3d6e5a668dbef19002393b /ci/deploy.sh
parentf7def4c0913df374087da447548aa6741bc6c8d7 (diff)
Adds Utility functions and failure logging
Patch adds helpful utility functions and automatic parsing of heat output into a readable format indicating where a failure is in a deployment. Example: http://fpaste.org/354210/ New opnfv-util function allows a user to interact with a deployment easily: - opnfv-util undercloud <user> connects user to undercloud VM - opnfv-util debug-stack parses the heat failure output Above arguments also accept partial matches. JIRA: APEX-75 Change-Id: I5ccfee64ee2958de0d00a3b25cd9b29de60c9e20 Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index c14a91e3..3684ad56 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -974,8 +974,12 @@ EOI
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
source stackrc
-set -o errexit
openstack overcloud deploy --templates $DEPLOY_OPTIONS --timeout 90
+if ! heat stack-list | grep CREATE_COMPLETE 1>/dev/null; then
+ $(typeset -f debug_stack)
+ debug_stack
+ exit 1
+fi
EOI
if [ "$debug" == 'TRUE' ]; then